Subject: Re: [PATCH bpf-next v8 16/17] net/mlx5e: Support RX XDP metadata

From: Martin KaFai Lau <[email-masked]>
Date: Fri, 20 Jan 2023 14:37:29 -0800

On 1/19/23 2:15 PM, Stanislav Fomichev wrote:
> From: Toke Høiland-Jørgensen <[email-masked]>
> 
> Support RX hash and timestamp metadata kfuncs. We need to pass in the cqe
> pointer to the mlx5e_skb_from* functions so it can be retrieved from the
> XDP ctx to do this.

Tariq, I believe Stan and Toke have addressed your comments in v7 on the mlx5 
changes. I have also tested in my mlx5 setup with the xdp_hw_metadata in patch 
17. Please help to take a look at patch 15, 16, and ack them if they look good 
to you also.